Bug 1441271 - queue_name_for_metrics_collection raises an exception when ems is nil
Summary: queue_name_for_metrics_collection raises an exception when ems is nil
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1439888
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 14:16 UTC by Satoe Imaishi
Modified: 2020-06-11 13:35 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439888
Environment:
Last Closed: 2017-05-31 14:52:06 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-11 14:21:29 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9f9249495efd797fca310cfaa887db52b302d3bd

commit 9f9249495efd797fca310cfaa887db52b302d3bd
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Apr 10 17:50:10 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 10:17:37 2017 -0400

    Merge pull request #14718 from agrare/bz_1439888_metrics_collection_nil_queue_name
    
    Handle exception when a metrics target doesn't have an ext_management_system
    (cherry picked from commit d7a82f2b0ccf7ca3394fe73bfa768b4417698ae5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441271

 app/models/metric/capture.rb                | 10 +++++++---
 app/models/metric/ci_mixin/capture.rb       | 23 ++++++++++++-----------
 spec/models/metric/ci_mixin/capture_spec.rb |  6 +++---
 3 files changed, 22 insertions(+), 17 deletions(-)

Comment 4 errata-xmlrpc 2017-05-31 14:52:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.